Skip to main content
GET
/
api
/
v1
/
vector_stores
/
{vector_store_id}
/
documents
List Documents
curl --request GET \
  --url https://api.example.com/api/v1/vector_stores/{vector_store_id}/documents \
  --header 'Authorization: Basic <encoded-value>'
{
  "items": [
    {
      "id": "<string>",
      "vector_store_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "usage_bytes": 123,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total_count": 123,
  "next_page_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "has_more": false
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

vector_store_id
string<uuid>
required

Query Parameters

context_id
string<uuid> | null

Response

Successful Response

items
VectorStoreDocument · object[]
required
total_count
integer
required
next_page_token
string<uuid> | null
required
has_more
boolean
default:false